Page MenuHomePhabricator

cross-wiki notification: oo-ui-labelElement-label does not truncate user names and page names
Closed, ResolvedPublic

Description

  1. Let a user with a long user name to mention another user on a Flow talk page with a long name
  1. With enabled 'Enhanced Notification' another user will see:

Truncation to long user names and long page/topic titles should be done for oo-ui-labelElement-label too.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 6 2016, 6:17 PM

Another screenshot to illustrate that the dot from the previous screenshot is not always there and the labels in other languages ('Mark as read' in ruwiki) can be long.

Pginer-WMF added a comment.EditedFeb 9 2016, 10:41 AM

Truncation to long user names and long page/topic titles should be done for oo-ui-labelElement-label too.

I think this is a different context where we are not that much constrained by space.
We should definitely avoid having horizontal scrolling there, but truncation may not be the best approach here.
Menus often grow to accommodate their content so in this case I think it is ok to grow enough to accommodate most of the action titles.
When inside a menu, we don't have an urgency to truncate and we may prefer to base it on length or wrap the contents based on a considerable max-width (more details at T121822#2022283).

SBisson added a subscriber: SBisson.Feb 9 2016, 1:24 PM
Etonkovidova updated the task description. (Show Details)Apr 1 2016, 8:16 AM
Etonkovidova added a comment.EditedApr 1 2016, 12:09 PM

Re-checked in betalabs. The issue has been fixed with recent patches for improved truncation.

Also re-checked the truncation for 'Mark as read' in ruwiki

@Pginer-WMF I am closing this issue as Resolved, but it'd be great if you take a look at the screenshots. Please let me know if more cases should be checked.

Etonkovidova closed this task as Resolved.Apr 1 2016, 2:17 PM